<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tl="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.coordinatorlayout.widget.CoordinatorLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="#F6F6F6">

        <com.google.android.material.appbar.AppBarLayout
            android:id="@+id/app_bar_layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/transparent"
            android:theme="@style/ThemeOverlay.AppCompat.Dark.ActionBar">

            <com.google.android.material.appbar.CollapsingToolbarLayout
                android:id="@+id/toolbar_layout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/white"
                tl:contentScrim="#ED2E28"
                tl:layout_scrollFlags="scroll|exitUntilCollapsed|snap"
                tl:titleEnabled="false">

                <RelativeLayout
                    android:id="@+id/id_home_top_banner_view"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingBottom="8dp">
                    <com.zxbw.modulemain.view.WrapContentHeightViewPager
                        android:id="@+id/id_home_top_banner"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />

                    <com.zhpan.indicator.IndicatorView
                        android:id="@+id/indicator_view"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignBottom="@id/id_home_top_banner"
                        android:layout_centerHorizontal="true"
                        android:layout_marginBottom="50dp"
                        tl:vpi_slider_checked_color="@color/white"
                        tl:vpi_slider_normal_color="#80ffffff"
                        tl:vpi_slider_radius="3dp" />
                </RelativeLayout>

                <androidx.appcompat.widget.Toolbar
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:padding="0dp"
                    tl:contentInsetEnd="0dp"
                    tl:contentInsetStart="0dp"
                    tl:layout_collapseMode="pin">

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">

                        <View
                            android:id="@+id/id_title_sys_bar_view"
                            android:layout_width="match_parent"
                            android:layout_height="40dp" />

                        <RelativeLayout
                            android:id="@+id/id_rl_search_view"
                            android:layout_width="match_parent"
                            android:layout_height="36dp"
                            android:layout_below="@+id/id_title_sys_bar_view"
                            android:layout_marginLeft="15dp"
                            android:layout_marginRight="15dp"
                            android:background="@drawable/shape_ffffff_r20">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_centerVertical="true"
                                android:layout_marginLeft="10dp"
                                android:drawableLeft="@drawable/icon_search"
                                android:drawablePadding="4dp"
                                android:text="搜索商品"
                                android:textColor="@color/color_999999"
                                android:textSize="14sp" />

                            <TextView
                                android:id="@+id/id_tv_search_btn"
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent"
                                android:layout_alignParentRight="true"
                                android:layout_centerVertical="true"
                                android:layout_margin="3dp"
                                android:background="@drawable/shape_eb3625_r15"
                                android:gravity="center"
                                android:paddingLeft="14dp"
                                android:paddingRight="14dp"
                                android:text="搜索"
                                android:textColor="@color/white"
                                android:textSize="14sp" />

                        </RelativeLayout>

                        <com.zxbw.modulemain.view.SlidingTabLayout2
                            android:id="@+id/id_fragment_home_tab"
                            android:layout_width="match_parent"
                            android:layout_height="38dp"
                            android:layout_below="@+id/id_rl_search_view"
                            android:layout_marginTop="10dp"
                            android:paddingLeft="5dp"
                            android:paddingRight="5dp"
                            tl:tl_indicator_color="@color/color_333333"
                            tl:tl_indicator_corner_radius="1dp"
                            tl:tl_indicator_height="2dp"
                            tl:tl_indicator_style="NORMAL"
                            tl:tl_indicator_width="14dp"
                            tl:tl_tab_padding="10dp"
                            tl:tl_textBold="SELECT"
                            tl:tl_textSelectColor="@color/color_333333"
                            tl:tl_textUnselectColor="#FC333333"
                            tl:tl_textsize="18sp" />
                    </RelativeLayout>


                </androidx.appcompat.widget.Toolbar>
            </com.google.android.material.appbar.CollapsingToolbarLayout>


        </com.google.android.material.appbar.AppBarLayout>

        <androidx.viewpager.widget.ViewPager
            android:id="@+id/viewPager"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            tl:layout_behavior="@string/appbar_scrolling_view_behavior" />


    </androidx.coordinatorlayout.widget.CoordinatorLayout>

    <ImageView
        android:id="@+id/id_img_kefu"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentRight="true"
        android:layout_alignParentBottom="true"
        android:layout_marginRight="16dp"
        android:layout_marginBottom="10dp"
        android:src="@drawable/icon_kefu" />
</RelativeLayout>
